; DeadBolt V1.0  Designed by Andy I. Yu  05-12-1996
;
; Desc:
;   Password = up to 8 (any key except ON, duh, EXIT, duh, and ENTER, duh.)
;   Press EXIT whenever to return back to the last screen
;   Press ENTER when you are done typing the password
;   You get approximately 5 seconds (1) to enter 8 keys and the ENTER!
;
; Info:
;   Code took 4 days to make (my first code in Z80).  Tried, but don't know
;   if it is fully optimized.
;
; COPYRIGHT (C) 1996  ALL RIGHTS RESERVED.  Well, this is bullshit.  There
; aren't any copyrights for this TI-85 programming shit.  Oh well, looks good
; though!  Don't be a fucking dick to copy this code!  Only "learn" from it.

#include "ti-85.h"

#define RECALC     ld   hl,ZS_BITS  \ set  0,(hl)
#define WARPOUT    ld   hl,ZS_BITS  \ set  1,(hl)
bigfnt = $800C      ; Large font address
smlfnt = $8333      ; Small font address
;TStart = $80DF      ; Text memory start (we're using Graphics memory)
;TEnd   = $8186      ; Text memory end (126 bytes of unused text mem!)
TempR1 = $80DF      ; Word; temp for any single register
Timer  = $80E1      ; Byte; 0 = on  (n > 0)  = off
Time   = $80E2      ; Byte; count down until time's up
Wait   = 95        ; Delay time (19 = approximately 1 second)


.org 0
.db "V1.0",0

Start:
  ld a,4                      ; enter graphics mode
  ld (Timer),a                ; Timer = a = 0 = on
  out (5),a
  ROM_CALL(clearlcd)          ; clear LCD

  res 3,(IY+05)               ; set text to Black on White
  ld hl,$0403                 ; x=4 y=3
  ld de,Choices
  CALL_(PrintBig)

  set 3,(IY+05)               ; set text to White on Black
  ld hl,$0000                 ; Write 42 blanks starting form x=0 y=0
  ld (bigfnt),hl
  ld a,' '
  ld b,42
Blankout:
  ROM_CALL(TX_CHARPUT)
  djnz Blankout

  ld hl,$0201                 ; x=0 y=1
  ld de,Main_menu
  CALL_(PrintBig)

  ld hl,$0008                 ; y=0 x=8
  ld (smlfnt),hl
  ld hl,(program_addr)        ; hl,@code
  ld de,Sub_main              ; print credits
  add hl,de
  ld b,(hl)                   ; length of string to decrypt
Unencrypt:
  inc hl                      ; load next byte
  ld a,(hl)
  add a,$7F
  xor b                       ; decrypt
  ROM_CALL(M_CHARPUT)         ; print small ASCII
  djnz Unencrypt


Main:
  ld hl,$0006                 ; Write 21 blanks starting form x=0 y=6
  ld (bigfnt),hl
  ld a,' '
  ld b,21
Blanks:
  ROM_CALL(TX_CHARPUT)
  djnz Blanks

MainChoices:
  call get_key                ; Get key

  cp k_f1
  jr nz,NoChangePW
; CHANGE PW START

  ld hl,$0006                 ; x=0 y=7
  ld de,PW
  CALL_(PrintBig)

  CALL_(GCTPWPW)              ; Get current password
  cp 0
  jr z,Main

  ld hl,$0406                 ; x=4 y=7
  ld de,NewPW
  CALL_(PrintBig)

  CALL_(GCTPW)                ; Get new password
  cp 0
  jr z,Main

  ld hl,$0306                 ; x=3 y=7
  ld de,VerPW
  CALL_(PrintBig)

  CALL_(GCTPW2TPW)            ; Get new password (double check)
  cp 0
  jr z,Main

; CopyStr TempPW to Password START
  ld hl,(program_addr)
  ld de,Password
  add hl,de
  ld de,(TempR1)              ; CALL_(GCTPW2TPW) changed TempR1 = TempPW2
ContinueCopying:              ; Copy TempPW to PW
  ld a,(de)
  ld (hl),a
  inc de
  inc hl
  cp 0
  jr nz,ContinueCopying
; CopyStr TempPW to Password END

  ld hl,$0306                 ; x=3 y=7
  ld de,PWSet
  CALL_(PrintBig)
  xor a                       ; clear A; don't know what's there

; CHANGE PW END
NoChangePW:

  cp k_f5                     ; if a=exit key
  jr nz,NoShutdown
; SHUTDOWN START

  ROM_CALL(clearlcd)          ; Need to do this only once per shutdown
  ld hl,$0003                 ; x=0 y=3
  ld de,PW
  CALL_(PrintBig)

Powerdown:
  di
  xor a
  ld (Timer),a                ; Timer = a = 0 = on
  out (4),a
  inc a
  out (3),a
  ex af,af'
  exx
  ei
  halt
  ld a,$16
  out (4),a
  ld a,$41                    ; normal power mode
  out (6),a
  ld a,00001011b
  out (3),a

  ld a,Wait                   ; set waiting time
  ld (Time),a
  CALL_(GCTPWPW)              ; get temp pw
  cp 0
  jr z,Powerdown              ; we've already written to screen (message)!
  WARPOUT                     ; set WarpOut
  jr Exit

; SHUTDOWN END
NoShutdown:

  cp K_EXIT                   ; if a=exit key
  JUMP_NZ(MainChoices)        ; if zero, then ret; exit back to ZShell

Exit:
  RECALC                      ; recalculate DeadBolt checksum
  ret


GCTPW:
  ld bc,TempPW                ; BC = HL = TempPW
  ld hl,TempPW                ; Makes "CompStr" return 1 (Equal = true)
  jr GETCHKINIT

GCTPW2TPW:
  ld bc,TempPW2               ; BC = TempPW2   HL = TempPW
  ld hl,TempPW
  jr GETCHKINIT

GCTPWPW:
  ld bc,TempPW                ; BC = TempPW   HL = PASSWORD
  ld hl,Password
     
GETCHKINIT:
  ld de,(program_addr)        ; DE = Var2+PROGRAM_ADDR
  add hl,de
  ex de,hl
  add hl,bc                   ; HL = Var1+PROGRAM_ADDR
  ld (TempR1),hl              ; Save to Temp (recall later)
  ld b,0                      ; reset b "counter" to 0

GV:
  ld a,(Timer)                ; Check if Timer On
  cp 0
  jr nz,NoTimer
  ld a,(Time)                 ; If Time = 0 then "time's up!"; ie. shutdown
  cp 0                        ; Dec Time if Timer is on
  jr z,CheckBad               
  dec a
  ld (Time),a
;  ROM_CALL(TX_CHARPUT)        ; Testing purposes; to see the timer count down

NoTimer:

  push hl                     ; Save HL
  ld hl,$2500                 ; Delay!!!  Going too fast!
DelayLoop:
  dec hl
  ld a,h
  or l
  jr nz, DelayLoop

  call get_key                ; Get key
  pop hl                      ; Restore HL
  cp K_NOKEY
  jr z,GV

  cp K_EXIT
  jr nz,NoCheckBad
CheckBad:
  xor a
  ret
NoCheckBad:

  cp K_ENTER
  jr nz,NotEnter
  xor a
  ld (hl),a
  jr GV3
NotEnter:

  ld c,a
  ld a,b
  cp 8
  jr z,GV2
  ld (hl),c
  inc hl
  inc b
GV2:

  jr GV

GV3:
  ld hl,(TempR1)              ; HL = NEW SOURCE+PROGRAM_ADDR  DE = OLD SOURCE+PROGRAM_ADDR
CompStr:
  ld a,(de)
  cp (hl)
  jr nz,CheckBad
  ld a,(hl)
  inc hl
  inc de
  cp 0
  jr nz,CompStr
CheckGood:
  ld a,1
  ret


PrintBig:
  ld (bigfnt),hl
  ld hl,(program_addr)        ; hl,@code
  add hl,de
  ld b,(hl)                   ; length of string to decrypt
decrypt:
  inc hl                      ; load next byte
  ld a,(hl)
  add a,$7F
  xor b                        ; decrypt
  ROM_CALL(TX_CHARPUT)         ; print big ASCII
  djnz decrypt
  ret



; Text
               ;123456789012345678901
;Main_menu: .db "TI-DeadBolt! V1.0"
Main_menu: .db 17,198,218,163,203,233,238,240,201,231,229,244,168,166,211,179
           .db 173,178
;Sub_main:  .db 34,"Designed by Andy I. Yu  05-12-"
;           .db "1996"
Sub_main:  .db 34,231,197,212,247,250,244,250,0,187,252,226,184,216,252,241
           .db 235,179,217,191,176,216,249,173,172,187,189,166,183,181,169,182
           .db 187,188,184
;Choices:   .db "F5-  Lock TI         "
;           .db "F1- Change PW"
Choices:   .db 34,229,149,142,192,191,210,244,249,242,186,205,223,183,182,181
           .db 180,179,178,177,176,175,204,190,167,171,203,225,231,233,227,226
           .db 164,211,215
;PW:        .db "      Password:      "
PW:        .db 21,182,181,180,179,178,177,224,240,255,0,253,230,252,237,190
           .db 167,166,165,164,163,162
;NewPW:     .db "New Password:"
NewPW:     .db 13,196,234,253,171,218,234,245,246,243,236,242,231,188
;VerPW:     .db "Check Password:"
VerPW:     .db 15,205,231,233,240,225,171,218,234,245,246,243,236,242,231,188
;PWSet:     .db " Password Set! "
PWSet:     .db 15,176,223,237,0,249,254,231,251,228,167,215,226,248,164,162

TempPW:    .db 0,0,0,0,0,0,0,0,0
TempPW2:   .db 0,0,0,0,0,0,0,0,0
Password:  .db 0,0,0,0,0,0,0,0,0

.end
