;David's Interupt driven sound demo, v0.1
;this demonstrates the ability of the int for sound
;the up and down arow change the pitch, thoe there are only two ore three
;pitches(the ints hapen way to slow), and left and right change the volume
;this isent good for mutch, but it could be used to generate beeps
;in the background in supper breakout, notice that pressing on keys has
;no afect on sound (dosent slow down/mess up the sound). 
;
; next on the list:
;  sterio paning (tone moving from left to right between the speakers)
;  hacking texanoid to beep when the ball hits a brick)
;  not mutch ells is posible with the interupt!
;
; Remember!!! if you want to modify this for sterio you must build your 
;  own adapter, or you will only get sound from one ear!!!!
; you need to swap the red and black wires coming out of the calc
;
; 2.5mm plug     tip-----------outer ring 3.5mm jack
;         midle ring-----------midle ring
;         outer ring-----------tip

;===========================================
;   Defines
;===========================================
#define   P_HI      $C0
#define   P_LO      $FC
#define   C_PORT    $07
;===========================================

#include ti-85.h


        .ORG    $0
        .db     "Sound Int demo v0.1",0

        LD      A,$88           ; Jump to 8888 for every int
        LD      HL,$8700        ; start of int table
        LD      (HL),A          ; start writing to memory
        INC     HL              ; increment
        LD      B,$00           ; loop 256 more times
loop1:
        LD      (HL),A          ; 
        INC     HL              ; 
        DJNZ    loop1           ; decrement b and jump to loop1

        LD      HL,(PROGRAM_ADDR);locate start of program
        LD      DE,intproc      ; set up addr
        ADD     HL,DE           ;   of intproc
        LD      DE,$8888        ; where to copy it to
        LD      BC,$00CF        ; counter
        LDIR                    ; copy routines

        LD      HL,$897E        ;vars for delay loop
        LD      (HL),$01
        LD      HL,$8980
        LD      (HL),$01
        LD      HL,$8981
        LD      (HL),$FF

        ROM_CALL(CLEARLCD)      ; Clear the display
        ld      hl, $0000           ;set the cursor to 0
        ld      (CURSOR_ROW), hl
        ld      hl, (PROGRAM_ADDR)  ;load prog addres
        ld      de, TitleStr        ;and add the offset of text
        add     hl, de
        ROM_CALL(D_ZT_STR)      ;display text

        LD      A,$87           ; set new int offset
        LD      I,A             ; 
        IM      2               ; set int mode 2

key_loop:                       ; handle keys and quit
        CALL    GET_KEY
        CP      K_EXIT
        JR      Z,kexit
        cp      K_UP          ;test for Up Arow
        jr      z,kup         ;jump if presed
        cp      K_DOWN        ;test for down arow
        jr      z,kdown       ;jump if presed
        cp      K_LEFT        ;test for Up Arow
        jr      z,kleft       ;jump if presed
        cp      K_RIGHT       ;test for down arow
        jr      z,kright      ;jump if presed
        JUMP_(key_loop)
kexit:
        LD      A,$38           ; set new int offset
        LD      I,A             ; 
        IM      1               ; set int mode 1 (default)
        RET                     ; quit, disable ints
kup:                            ; Increase pitch
        LD      HL,$8980
        DEC     (HL)            ; decrease delay
        JUMP_(key_loop)         ; & return
kdown:                          ; decrease pitch
        LD      HL,$8980
        INC     (HL)            ; increase delay
        JUMP_(key_loop)
kleft:                          ; decrease volume
        LD      HL,$8981
        DEC     (HL)            ; decrease delay
        JUMP_(key_loop)         ;  & return
kright:                         ; increase volume
        LD      HL,$8981
        INC     (HL)            ; increase delay
        JUMP_(key_loop)

TitleStr:           ;Intro to program, rahter wasteful but cute
  .db " Dave's IntSound Demo"
  .db "      Ver 0.1        "
  .db " dh90791@goodnet.com "
  .db "up/down change pitch "
  .db "left/right change vol"
  .db "    exit to exit    ",0


;===============================================================

intproc:                        ;interupt routine loded at $8888
        EX      AF,AF'          ; swap AF & AF'
        EXX                     ; swap the rest of the reg

; set up a counter decrament and than do apropriate meashures

         LD      A,($897E)      ;decrement temp loop counter
         DEC     A
         LD      ($897E),A
         CP      $00            ;until it reaches zero
         JR      NZ,iend        ;if not zero wait for next int
         LD      A,($8980)      ;else reset counter
         LD      ($897E),A

togle_s:                        ;Togle the port off and on
        ld      c,C_PORT        ;port 7 (link port)
tlo:
        ld      a,P_LO          ;output 0 0
        out     (c),a

        ld      A,($8981)       ;set delay for sound
        ld      B,A             ;the longer the delay, the louder the sound
l1:
        nop                     ; do nothing, not realy nesisary
        DJNZ    l1

thi:
        ld      a,P_HI
        out     (c),a         ;output 1 1
iend:
        EXX                     ; restor registers
        EX      AF,AF'          ; 
        JP      $0038           ; go to origional int routines
;===================================

.END

