;------------------------------------------------------------------------------+
;Well, this plays a wav with 4 bit quality using pulse code modulation(PCM)    |
;The wav is originally 8 bit, 11 kHz ... and MONO                              |
; (C)1996 by Andreas Ess                                                       |
;									       |
; * Try to improve the mem need!                                               |
; * There's an annoying 'upperwave' (or whatever this is called in english...) |
;   Try to remove it.                                                          |
;------------------------------------------------------------------------------+

#INCLUDE "INTEL.H"
#INCLUDE "TI-85.H"

.org 0
.db "4 Bit player by AE",0

Start:
 cli
 lea(TheSound)
 CALL_(Play4Bit)
 lea(TheSound)
 CALL_(Play4Bit)
 lea(TheSound)
 CALL_(Play4Bit)
 sti
 ret

Play4Bit:
 mov  e, (hl) ;get length
 inc  hl
 mov  d, (hl)
PlayLoop:
 mov  c, 6
 inc  hl
 mov  a, 15
 mov  b, (hl)  ;B is length of 1 bits, C of 0 bits
 sub  b
 mov  c, a
 dec  de
 mov  a, d
 or   e
 jz   DonePlay
 mov  a, 0FCh
 out  (7), a
BLoop:
 nop
 nop
 nop
 loop BLoop
 mov  a, 0C0h
 out  (7), a
CLoop:
 nop
 nop
 dec  c
 jnz  CLoop
 jmp  PlayLoop
DonePlay:
 mov  a, 0C0h
 out  (7), a
 ret

;** The wave file:
;** 4 Bit Wave Player Data (C) 1996 by Andreas Ess
TheSound:
 .dw 19679
 .db $9,$8,$7,$6,$6,$5,$4,$4,$3,$3,$3,$3,$4,$4,$5,$6,$7,$7,$8,$9
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9
 .db $8,$8,$7,$7,$7,$6,$5,$5,$4,$4,$5,$4,$4,$4,$4,$4,$4,$4,$5,$5
 .db $5,$6,$6,$6,$7,$8,$8,$8,$8,$8,$9,$9,$9,$A,$A,$9,$9,$9,$8,$8
 .db $8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$6,$6,$6,$5,$5,$5,$5,$4,$4,$5
 .db $4,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$7,$8,$8,$8,$9,$9,$9,$9,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$8,$8
 .db $8,$8,$7,$7,$7,$7,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6
 .db $6,$6,$6,$7,$7,$7,$7,$7,$8,$8,$8,$9,$9,$9,$9,$9,$A,$A,$A,$A
 .db $A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$7,$7
 .db $7,$7,$7,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$8,$8,$8,$8,$9,$9,$9,$9,$9
 .db $9,$9,$9,$A,$9,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8
 .db $8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7
 .db $8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$A,$9,$A,$A,$A,$A,$A,$A
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7
 .db $7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7
 .db $8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$9,$A,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8
 .db $8,$7,$7,$7,$7,$7,$7,$7,$6,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$5,$6,$6,$6,$6,$6
 .db $6,$6,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9
 .db $9,$9,$9,$9,$A,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7
 .db $7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$5,$6,$6,$6
 .db $6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8
 .db $8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$6,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$A,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$A,$9,$9,$9,$9,$9,$9,$9,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6
 .db $6,$6,$6,$5,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$9,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$9
 .db $A,$A,$9,$A,$A,$A,$A,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9
 .db $A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$7,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$8,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$9,$9,$9,$A,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$5,$6,$5,$6,$5,$5,$5,$6,$5,$5,$5,$5,$5,$5
 .db $6,$5,$6,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $7,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$8,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$7
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$6,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$9,$9,$8,$8,$9,$8,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$8,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $6,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$7,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$8,$8,$8,$8,$8,$9,$8
 .db $9,$9,$9,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8
 .db $9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$7,$6,$7,$6,$7,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$6,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$8,$9,$8,$8,$8,$9,$8
 .db $8,$9,$8,$8,$8,$9,$8,$9,$8,$8,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$8,$8,$7,$8,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$7,$6,$7,$6,$7,$6
 .db $7,$6,$6,$6,$7,$6,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$6,$6
 .db $6,$6,$7,$6,$6,$7,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$7,$8,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$7,$7,$6,$7,$7,$6,$7,$6,$7,$7
 .db $7,$6,$6,$7,$6,$6,$6,$7,$6,$7,$6,$6,$6,$6,$6,$7,$7,$6,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$7,$8,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$8,$7,$8,$8,$7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7
 .db $8,$7,$7,$7,$8,$7,$7,$8,$6,$7,$7,$7,$8,$8,$8,$8,$8,$8,$7,$8
 .db $7,$7,$6,$7,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7,$8,$8,$7,$7,$8,$7
 .db $7,$6,$8,$8,$8,$7,$8,$8,$7,$8,$7,$9,$8,$8,$8,$7,$7,$7,$7,$6
 .db $6,$6,$7,$8,$8,$8,$7,$6,$7,$7,$8,$9,$8,$8,$8,$7,$7,$7,$8,$8
 .db $7,$8,$8,$7,$7,$8,$7,$6,$7,$8,$9,$8,$8,$8,$8,$6,$6,$7,$6,$8
 .db $8,$7,$8,$8,$7,$7,$7,$7,$8,$9,$7,$8,$7,$7,$7,$6,$8,$8,$6,$7
 .db $7,$8,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$9,$8,$8,$8,$7
 .db $7,$6,$7,$8,$6,$8,$7,$6,$7,$8,$8,$8,$8,$8,$7,$7,$8,$8,$9,$8
 .db $9,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$6,$7
 .db $8,$7,$7,$8,$9,$9,$9,$8,$6,$6,$7,$9,$8,$6,$7,$7,$8,$9,$7,$7
 .db $8,$7,$6,$7,$7,$7,$7,$6,$7,$7,$8,$7,$8,$9,$8,$6,$7,$7,$7,$9
 .db $7,$8,$8,$8,$8,$7,$7,$8,$7,$8,$8,$7,$8,$7,$7,$7,$8,$9,$8,$7
 .db $7,$8,$7,$6,$7,$6,$7,$8,$8,$8,$8,$7,$8,$8,$8,$7,$7,$8,$8,$8
 .db $8,$7,$7,$7,$6,$7,$8,$9,$7,$7,$7,$7,$8,$8,$8,$7,$8,$7,$6,$6
 .db $8,$8,$8,$6,$7,$7,$8,$8,$8,$8,$8,$7,$6,$7,$8,$9,$8,$8,$7,$7
 .db $7,$6,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$8,$8
 .db $8,$6,$6,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$7,$7,$7,$8,$8,$8,$8
 .db $7,$6,$7,$6,$6,$8,$8,$7,$8,$8,$8,$8,$7,$8,$6,$7,$8,$8,$7,$8
 .db $7,$8,$7,$7,$7,$8,$7,$8,$8,$8,$8,$7,$7,$7,$6,$7,$7,$7,$8,$8
 .db $8,$8,$8,$8,$6,$7,$7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$8,$8,$8,$8
 .db $8,$7,$7,$7,$7,$8,$8,$8,$8,$8,$6,$7,$8,$8,$8,$7,$7,$7,$7,$7
 .db $7,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$8,$8,$9,$8,$8,$7,$7,$8,$8
 .db $7,$7,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$9,$8
 .db $8,$7,$7,$7,$8,$8,$8,$8,$7,$5,$7,$7,$7,$8,$9,$8,$8,$7,$7,$8
 .db $8,$8,$8,$6,$7,$7,$7,$7,$8,$7,$7,$8,$8,$8,$8,$7,$7,$8,$8,$7
 .db $7,$7,$7,$7,$8,$8,$7,$7,$8,$7,$8,$8,$8,$7,$7,$7,$8,$8,$8,$7
 .db $7,$8,$7,$6,$7,$8,$8,$8,$8,$7,$7,$8,$7,$8,$7,$6,$6,$7,$7,$8
 .db $8,$8,$7,$8,$8,$7,$6,$7,$9,$8,$6,$7,$7,$8,$8,$7,$6,$7,$8,$8
 .db $7,$6,$8,$8,$8,$7,$7,$6,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7
 .db $7,$7,$8,$7,$7,$7,$7,$8,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$8
 .db $8,$7,$7,$8,$8,$8,$7,$7,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7
 .db $7,$7,$8,$8,$7,$8,$7,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$8,$7,$7
 .db $8,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7
 .db $8,$7,$7,$8,$8,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$8,$8,$8,$8,$7
 .db $7,$7,$8,$8,$7,$7,$7,$8,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8
 .db $8,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8
 .db $8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7
 .db $8,$8,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$8
 .db $7,$8,$7,$8,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7
 .db $8,$7,$8,$8,$7,$7,$8,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8
 .db $7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8
 .db $7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $8,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$8,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$8,$7,$8
 .db $7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$8
 .db $8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $8,$8,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$8,$8
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$8,$7,$7,$8
 .db $7,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8
 .db $7,$8,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7
 .db $7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7
 .db $8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8
 .db $7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8
 .db $7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8
 .db $7,$8,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8
 .db $7,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$8
 .db $7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $8,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7
 .db $7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$8
 .db $7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7
 .db $7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7
 .db $8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7
 .db $8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$8,$7,$7,$7,$8,$8,$9,$9,$9,$9,$9,$7,$6,$6,$5,$5
 .db $4,$4,$4,$4,$4,$4,$5,$5,$6,$7,$7,$8,$9,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$8,$7,$6,$6,$6,$5
 .db $5,$5,$4,$4,$4,$4,$4,$4,$4,$4,$5,$4,$5,$5,$6,$6,$6,$7,$8,$8
 .db $8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$7
 .db $7,$7,$6,$6,$6,$6,$5,$5,$5,$5,$5,$4,$4,$4,$5,$5,$5,$5,$5,$6
 .db $6,$6,$6,$7,$7,$8,$8,$8,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$7,$7,$7,$7,$6
 .db $6,$6,$6,$6,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7
 .db $8,$8,$8,$8,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9
 .db $9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$6,$6,$6,$6,$6
 .db $5,$4,$5,$6,$6,$6,$5,$3,$4,$5,$6,$6,$6,$6,$5,$6,$6,$6,$6,$6
 .db $7,$7,$8,$8,$9,$8,$8,$8,$8,$8,$9,$9,$9,$9,$A,$A,$A,$A,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7
 .db $7,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$9
 .db $9,$9,$9,$9,$9,$A,$A,$9,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$8,$8,$8,$6,$8,$9,$8,$7,$6,$5,$6,$7,$8,$8,$7
 .db $6,$5,$4,$4,$5,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$6,$6,$6
 .db $6,$6,$6,$7,$7,$6,$7,$7,$7,$7,$7,$8,$7,$8,$8,$8,$8,$8,$8,$8
 .db $9,$9,$9,$9,$9,$A,$9,$9,$A,$A,$9,$9,$A,$A,$A,$A,$A,$A,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$6,$6
 .db $6,$7,$7,$7,$7,$6,$6,$5,$5,$5,$5,$6,$6,$5,$6,$6,$6,$6,$5,$5
 .db $5,$5,$5,$6,$6,$6,$6,$5,$5,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$8
 .db $8,$9,$8,$8,$7,$7,$7,$7,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$A
 .db $A,$A,$9,$A,$A,$A,$A,$9,$9,$A,$A,$A,$9,$9,$A,$A,$9,$9,$9,$9
 .db $9,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6
 .db $6,$6,$6,$6,$6,$6,$7,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6
 .db $6,$5,$5,$5,$5,$5,$6,$6,$6,$6,$5,$5,$6,$6,$6,$6,$6,$7,$7,$7
 .db $7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9
 .db $A,$A,$A,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9
 .db $A,$A,$A,$A,$9,$9,$9,$8,$8,$8,$9,$9,$9,$8,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$6,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8
 .db $8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$9,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9
 .db $9,$A,$9,$A,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$9,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5
 .db $6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$5,$5,$5,$5,$5,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$6,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$9,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$8,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$9,$8,$8,$9,$8,$9,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$6
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$6,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6
 .db $6,$7,$6,$6,$6,$7,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$8,$8,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8
 .db $7,$7,$8,$8,$7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8
 .db $7,$8,$8,$6,$7,$7,$7,$8,$8,$8,$8,$8,$8,$7,$8,$7,$7,$6,$8,$7
 .db $6,$8,$8,$7,$8,$7,$8,$7,$8,$8,$8,$7,$7,$8,$7,$7,$6,$8,$8,$8
 .db $6,$8,$8,$7,$8,$8,$9,$8,$8,$8,$8,$7,$7,$7,$6,$6,$6,$7,$8,$8
 .db $8,$7,$6,$7,$7,$8,$9,$8,$8,$8,$7,$7,$7,$8,$8,$7,$8,$8,$7,$7
 .db $8,$7,$7,$7,$8,$9,$8,$8,$8,$8,$6,$6,$7,$6,$8,$8,$7,$8,$9,$7
 .db $7,$7,$7,$8,$9,$7,$7,$7,$7,$7,$7,$7,$8,$6,$7,$7,$8,$8,$8,$7
 .db $7,$7,$8,$9,$9,$7,$7,$7,$7,$8,$9,$8,$8,$8,$7,$7,$6,$7,$8,$7
 .db $7,$7,$6,$7,$8,$8,$8,$8,$8,$7,$7,$8,$8,$9,$7,$9,$7,$7,$7,$7
 .db $6,$8,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$6,$7,$8,$8,$7,$8,$9
 .db $9,$9,$8,$6,$6,$7,$9,$8,$6,$7,$7,$8,$9,$7,$7,$8,$7,$6,$7,$7
 .db $7,$7,$6,$8,$8,$8,$7,$8,$8,$9,$6,$6,$7,$7,$9,$7,$7,$8,$8,$8
 .db $7,$7,$8,$7,$8,$8,$7,$8,$7,$7,$7,$8,$9,$8,$7,$7,$8,$7,$6,$7
 .db $6,$7,$8,$8,$8,$7,$7,$8,$8,$8,$7,$7,$9,$8,$8,$8,$7,$7,$7,$6
 .db $7,$8,$8,$7,$7,$7,$8,$8,$8,$8,$7,$8,$7,$6,$7,$8,$8,$8,$6,$7
 .db $7,$8,$8,$8,$8,$8,$6,$6,$7,$8,$8,$8,$8,$6,$8,$7,$6,$7,$8,$8
 .db $7,$7,$7,$7,$7,$7,$8,$9,$8,$8,$7,$7,$7,$8,$8,$8,$6,$6,$7,$7
 .db $7,$7,$7,$8,$8,$7,$8,$8,$7,$7,$7,$8,$8,$8,$8,$7,$6,$7,$7,$6
 .db $8,$8,$7,$7,$8,$8,$8,$7,$7,$6,$7,$8,$8,$7,$7,$8,$7,$7,$7,$7
 .db $8,$7,$8,$8,$8,$8,$7,$7,$7,$6,$7,$7,$8,$9,$7,$7,$8,$8,$8,$6
 .db $7,$7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$8,$8,$8,$8,$8,$7,$7,$7,$6
 .db $8,$8,$7,$8,$7,$6,$7,$8,$8,$7,$7,$6,$7,$7,$7,$7,$8,$9,$8,$8
 .db $8,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$7,$6,$8,$8,$7,$7,$8,$7,$7
 .db $7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$9,$8,$8,$7,$7,$7,$7
 .db $8,$8,$8,$7,$5,$6,$7,$7,$8,$9,$8,$7,$7,$7,$8,$8,$8,$7,$6,$7
 .db $7,$7,$7,$8,$7,$7,$8,$8,$8,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$8,$8,$8,$8,$8,$7,$7,$7,$8,$8,$7,$7,$7,$8,$7,$6,$7
 .db $8,$8,$8,$7,$7,$8,$8,$7,$7,$8,$6,$6,$7,$7,$8,$8,$7,$7,$8,$8
 .db $7,$6,$7,$8,$8,$6,$7,$7,$8,$8,$7,$6,$8,$8,$8,$7,$6,$8,$8,$8
 .db $8,$7,$6,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$7,$7
 .db $7,$7,$8,$7,$8,$8,$8,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8
 .db $8,$7,$7,$8,$8,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7
 .db $8,$7,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$8,$8,$7,$8,$8,$8,$7,$7
 .db $7,$7,$8,$8,$8,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$8,$8,$7,$7,$8
 .db $7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$8,$8,$7,$7,$8,$8,$7,$7,$7
 .db $8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8
 .db $8,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$8,$8,$7
 .db $7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7
 .db $7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7
 .db $7,$8,$7,$7,$8,$7,$8,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8
 .db $8,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8
 .db $7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7
 .db $8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7
 .db $7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7
 .db $7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$8,$8,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$8,$7,$7
 .db $8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7
 .db $8,$8,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7,$8,$7,$8
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8
 .db $7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8
 .db $7,$7,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7
 .db $7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7
 .db $8,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8
 .db $7,$8,$7,$7,$7,$7,$7,$9,$9,$A,$9,$8,$8,$7,$6,$5,$5,$4,$4,$4
 .db $4,$4,$3,$4,$5,$5,$6,$7,$8,$8,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$8,$8,$7,$7,$7,$6,$6,$5,$5,$5
 .db $4,$4,$4,$4,$4,$4,$4,$4,$4,$5,$5,$5,$6,$6,$7,$7,$7,$8,$9,$8
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7
 .db $7,$6,$6,$6,$5,$5,$5,$5,$5,$5,$4,$5,$5,$5,$5,$5,$5,$6,$6,$6
 .db $6,$7,$7,$8,$8,$8,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$9,$9,$9,$9,$9,$8,$8,$8,$8,$7,$7,$7,$7,$6,$6,$6
 .db $6,$6,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$8,$8
 .db $8,$8,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7
 .db $7,$7,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7
 .db $6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6
 .db $6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6
 .db $6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$9,$9,$9
 .db $9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7
 .db $7,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7
 .db $7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8
 .db $8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$7,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$8,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7
 .db $8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$8,$8,$8,$8
 .db $7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$8,$8,$7
 .db $7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$8
 .db $8,$8,$7,$7,$6,$8,$8,$7,$8,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7,$8
 .db $7,$8,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7
 .db $7,$8,$8,$8,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7
 .db $7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$8
 .db $7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$8
 .db $8,$7,$7,$8,$7,$7,$8,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7
 .db $8,$7,$8,$8,$7,$7,$8,$8,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7,$7,$7
 .db $8,$7,$7,$7,$8,$7,$8,$7,$8,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$8,$7
 .db $8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$6,$7,$8,$7,$8,$7,$7
 .db $8,$7,$7,$7,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$8,$7,$7,$7,$8,$8
 .db $7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7,$7
 .db $8,$7,$8,$7,$7,$7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8
 .db $8,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7
 .db $8,$8,$7,$8,$7,$7,$8,$8,$8,$7,$7,$8,$8,$7,$8,$8,$8,$8,$7,$7
 .db $8,$7,$8,$8,$7,$8,$8,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7
 .db $8,$7,$7,$8,$7,$8,$7,$7,$8,$8,$8,$7,$7,$7,$8,$7,$8,$8,$8,$7
 .db $7,$7,$7,$8,$8,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$8
 .db $7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7
 .db $8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$8,$8,$8,$7,$8,$7,$7
 .db $7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$8,$8,$7,$7
 .db $7,$7,$8,$8,$7,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$8,$8
 .db $7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$8,$7,$8,$8,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8
 .db $8,$8,$7,$7,$7,$8,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$8
 .db $8,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7
 .db $7,$8,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$8,$7,$8,$7
 .db $7,$8,$7,$7,$8,$7,$7,$8,$7,$8,$7,$8,$8,$7,$7,$8,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7
 .db $8,$8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7
 .db $7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7
 .db $8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$7
 .db $8,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7
 .db $8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$8
 .db $8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7
 .db $7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$8,$7
 .db $7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7
 .db $7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$8,$7,$8,$8,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8
 .db $8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$8,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8
 .db $8,$8,$8,$7,$7,$8,$7,$8,$7,$8,$8,$7,$8,$7,$8,$7,$7,$7,$8,$7
 .db $8,$7,$8,$7,$8,$6,$6,$7,$7,$8,$8,$8,$8,$7,$8,$7,$7,$8,$8,$6
 .db $7,$7,$6,$8,$9,$8,$8,$7,$8,$8,$7,$8,$8,$7,$7,$8,$7,$7,$6,$7
 .db $9,$7,$6,$7,$8,$8,$8,$8,$9,$9,$8,$8,$7,$7,$7,$7,$6,$5,$7,$6
 .db $8,$8,$8,$8,$6,$7,$7,$8,$9,$9,$8,$8,$7,$6,$7,$8,$8,$6,$8,$8
 .db $7,$8,$7,$7,$6,$7,$7,$9,$8,$8,$8,$8,$7,$6,$7,$7,$8,$8,$7,$8
 .db $8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$6,$7,$7,$7,$6,$7,$8,$8,$8
 .db $8,$7,$7,$7,$8,$8,$8,$8,$7,$8,$7,$8,$9,$8,$8,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$6,$8,$7,$8,$8,$8,$7,$8,$8,$8,$9,$7,$8,$8,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$8,$6,$8,$7,$7,$8,$7,$6,$7,$8,$8
 .db $8,$9,$9,$8,$8,$7,$6,$7,$8,$9,$6,$6,$7,$7,$9,$8,$7,$7,$8,$7
 .db $7,$7,$6,$7,$6,$7,$7,$9,$8,$8,$8,$8,$7,$6,$7,$7,$8,$8,$7,$7
 .db $8,$8,$7,$7,$7,$8,$8,$8,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7
 .db $6,$6,$6,$7,$8,$8,$8,$7,$7,$8,$9,$8,$7,$7,$8,$9,$8,$8,$8,$7
 .db $7,$7,$7,$8,$9,$7,$6,$7,$7,$9,$8,$7,$8,$8,$7,$6,$6,$8,$8,$8
 .db $6,$7,$7,$8,$9,$8,$8,$8,$6,$6,$7,$8,$8,$8,$8,$7,$7,$7,$7,$7
 .db $8,$9,$7,$7,$7,$7,$7,$7,$8,$9,$8,$8,$7,$7,$7,$7,$8,$7,$7,$6
 .db $8,$7,$7,$7,$8,$8,$8,$8,$8,$8,$7,$7,$7,$8,$8,$8,$8,$8,$6,$7
 .db $7,$7,$8,$8,$8,$7,$8,$8,$8,$8,$8,$6,$6,$8,$8,$8,$8,$7,$7,$7
 .db $7,$8,$8,$8,$8,$8,$8,$8,$7,$8,$7,$6,$7,$7,$7,$9,$8,$8,$8,$8
 .db $7,$7,$6,$7,$8,$7,$6,$7,$8,$9,$8,$7,$7,$8,$8,$8,$8,$8,$7,$7
 .db $7,$7,$7,$8,$8,$8,$8,$6,$6,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$8
 .db $8,$8,$8,$7,$7,$7,$7,$7,$7,$8,$9,$8,$8,$7,$6,$7,$8,$7,$7,$8
 .db $7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$8,$9,$8,$8,$8,$6
 .db $7,$8,$8,$7,$7,$8,$6,$6,$7,$7,$8,$8,$8,$7,$7,$7,$8,$8,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7,$6,$7,$8,$8,$8,$7,$7,$7,$7
 .db $7,$7,$8,$8,$8,$7,$6,$7,$8,$8,$7,$7,$7,$6,$7,$7,$8,$8,$8,$7
 .db $8,$8,$8,$7,$7,$8,$8,$7,$7,$7,$9,$8,$8,$6,$7,$8,$8,$7,$6,$7
 .db $8,$8,$8,$8,$6,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$8,$8
 .db $8,$7,$7,$7,$8,$8,$8,$8,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7
 .db $7,$7,$7,$7,$7,$8,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8
 .db $8,$9,$9,$9,$9,$8,$7,$6,$6,$5,$5,$4,$4,$4,$4,$4,$4,$5,$5,$6
 .db $7,$8,$8,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$9,$9,$9,$8,$8,$7,$6,$7,$6,$5,$5,$4,$4,$5,$4,$4,$4,$4,$4
 .db $5,$4,$5,$5,$5,$6,$6,$7,$7,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9
 .db $9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$6,$6,$6,$5,$5,$5
 .db $5,$5,$4,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$7,$7,$8,$8,$8,$9
 .db $9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9
 .db $8,$9,$9,$8,$8,$7,$7,$7,$7,$6,$6,$6,$6,$6,$5,$5,$6,$5,$5,$5
 .db $6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$8,$8,$8,$8,$9,$9,$9,$9,$9
 .db $9,$A,$A,$A,$9,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8
 .db $8,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$A,$A,$9
 .db $9,$7,$7,$8,$8,$8,$8,$8,$7,$7,$7,$7,$6,$6,$6,$6,$7,$7,$7,$6
 .db $5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7
 .db $7,$7,$7,$7,$7,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A
 .db $A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$7,$7,$6,$7,$7
 .db $7,$8,$6,$7,$9,$9,$8,$7,$7,$8,$9,$A,$A,$A,$9,$8,$8,$8,$9,$9
 .db $A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8
 .db $8,$8,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$6,$5,$5,$5,$5,$5,$5,$6,$6,$6
 .db $6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$9,$A,$A,$9,$A,$A,$A,$A,$A,$A,$9,$9,$A,$A,$A
 .db $A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$9,$9,$9,$9,$8,$7,$7
 .db $6,$6,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$7,$6,$6,$5,$6,$6,$5
 .db $5,$5,$5,$5,$6,$6,$5,$5,$5,$6,$6,$5,$5,$5,$5,$5,$5,$5,$6,$6
 .db $6,$6,$6,$6,$5,$6,$6,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8,$9
 .db $9,$9,$9,$8,$8,$9,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$9,$A,$A,$A,$A,$A,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$6,$6,$6,$5,$5
 .db $5,$5,$5,$5,$5,$6,$6,$6,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $9,$9,$9,$A,$A,$9,$9,$9,$9,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$9,$9,$9,$9,$A,$9,$9,$9,$9,$9
 .db $9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$5,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$A
 .db $A,$A,$A,$9,$9,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A,$A
 .db $A,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$5,$5,$5,$5,$5,$5,$5,$5,$5
 .db $5,$6,$6,$6,$5,$5,$5,$5,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $9,$9,$8,$8,$8,$8,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9,$9
 .db $9,$9,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$9,$8,$9,$8,$8,$9,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$6,$7
 .db $6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6,$6
 .db $6,$6,$6,$6,$6,$6,$6,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$6,$6,$6,$6,$6,$6,$7,$7,$6,$6,$6,$6,$6,$6,$6,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8,$8
 .db $8,$8,$8,$8,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$8,$8,$7,$8,$7,$6,$7,$7,$8,$8,$8,$8,$8,$8,$8,$7
 .db $8,$7,$6,$7,$8,$6,$6,$8,$8,$8,$7,$7,$8,$7,$8,$8,$7,$7,$8,$7
 .db $7,$7,$6,$8,$8,$7,$6,$8,$8,$7,$7,$8,$9,$8,$8,$8,$7,$7,$8,$7
 .db $5,$6,$7,$7,$9,$8,$8,$7,$6,$8,$7,$8,$9,$8,$8,$8,$7,$7,$7,$9
 .db $7,$7,$9,$7,$8,$7,$7,$7,$7,$8,$8,$8,$8,$8,$8,$8,$6,$7,$7,$7
 .db $9,$8,$8,$7,$8,$7,$8,$7,$8,$9,$8,$7,$7,$6,$6,$6,$7,$7,$7,$6
 .db $7,$8,$8,$9,$7,$8,$6,$7,$7,$8,$9,$7,$9,$8,$7,$8,$8,$7,$8,$8
 .db $7,$7,$7,$7,$7,$7,$7,$7,$6,$8,$7,$7,$8,$9,$7,$7,$8,$8,$9,$9
 .db $7,$8,$6,$7,$7,$7,$7,$8,$7,$8,$8,$7,$8,$7,$6,$8,$7,$8,$8,$6
 .db $6,$8,$7,$7,$8,$9,$9,$8,$8,$6,$6,$8,$9,$7,$6,$7,$6,$8,$8,$8
 .db $8,$7,$7,$6,$7,$7,$7,$6,$7,$7,$9,$9,$8,$8,$8,$7,$6,$7,$7,$8
 .db $8,$7,$7,$8,$9,$7,$7,$7,$7,$8,$8,$7,$8,$8,$7,$8,$7,$8,$8,$7
 .db $8,$7,$7,$7,$6,$6,$7,$8,$8,$9,$7,$7,$7,$8,$8,$7,$7,$7,$9,$8
 .db $7,$8,$7,$6,$7,$6,$7,$9,$8,$6,$7,$7,$8,$8,$6,$8,$8,$8,$6,$6
 .db $7,$8,$8,$7,$6,$7,$8,$9,$8,$8,$8,$8,$7,$7,$7,$8,$8,$8,$8,$7
 .db $7,$7,$7,$7,$9,$8,$7,$7,$7,$7,$7,$8,$9,$8,$8,$8,$6,$6,$7,$8
 .db $7,$7,$6,$7,$8,$7,$7,$7,$8,$8,$8,$8,$8,$7,$7,$8,$7,$8,$8,$7
 .db $8,$7,$6,$7,$6,$7,$8,$8,$7,$8,$8,$8,$7,$8,$7,$6,$7,$8,$8,$7
 .db $7,$8,$7,$7,$7,$8,$7,$8,$8,$9,$8,$7,$7,$7,$6,$7,$7,$7,$8,$8
 .db $8,$8,$8,$7,$7,$6,$7,$8,$7,$6,$7,$7,$9,$8,$7,$7,$7,$8,$8,$8
 .db $8,$8,$6,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7
 .db $7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$8,$8,$8,$6,$7,$8
 .db $8,$7,$7,$7,$7,$7,$8,$8,$8,$8,$8,$7,$7,$7,$7,$7,$6,$8,$8,$9
 .db $8,$8,$6,$7,$8,$8,$8,$8,$8,$7,$6,$7,$7,$8,$8,$8,$7,$7,$7,$7
 .db $8,$9,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$7
 .db $7,$8,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$8,$8,$7,$7
 .db $7,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$8,$8,$7,$7,$8,$7,$7,$7,$7
 .db $8,$8,$7,$8,$9,$8,$7,$6,$7,$8,$7,$7,$6,$8,$8,$8,$7,$7,$8,$8
 .db $7,$6,$7,$8,$8,$8,$8,$7,$6,$7,$8,$8,$8,$7,$7,$7,$8,$8,$8,$8
 .db $7,$8,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8
 .db $8,$8,$7,$7,$7,$7,$8,$8,$8,$8,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7
 .db $7,$8,$7,$8,$7,$8,$7,$8,$8,$8,$7,$7,$7,$8,$7,$7,$8,$8,$7,$7
 .db $7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$8,$8,$8,$7,$7
 .db $7,$8,$8,$8,$8,$7,$7,$7,$8,$8,$8,$7,$7,$8,$7,$7,$7,$8,$8,$7
 .db $7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$8,$8,$7,$7
 .db $7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$8,$8,$8
 .db $7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7
 .db $7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$7,$8,$7,$7,$8
 .db $8,$7,$8,$7,$7,$8,$7,$8,$7,$7,$8,$7,$7,$8,$7,$8,$8,$7,$8,$8
 .db $7,$7,$8,$7,$8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$8,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$8,$8,$8,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$7,$8
 .db $8,$7,$7,$7,$7,$8,$8,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8
 .db $7,$7,$8,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7
 .db $7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$8,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$8,$8,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$8,$8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$8
 .db $7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7
 .db $7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8
 .db $8,$7,$8,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7
 .db $7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$8,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$8
 .db $7,$7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$8,$8,$7
 .db $8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$8,$7,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7
 .db $7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$8,$8,$7
 .db $7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$8
 .db $7,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$8
 .db $8,$7,$8,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$8,$8,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$8,$7,$8,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$8,$7,$7,$8,$8
 .db $7,$8,$7,$7,$8,$8,$7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7
 .db $8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$8,$8,$7,$8,$7,$7,$7
 .db $7,$7,$8,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7
 .db $7,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$8,$7,$7,$7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7
 .db $7,$7,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$8,$7,$7,$7,$8,$8,$7,$8
 .db $7,$7,$7,$8,$7,$8,$7,$7,$7,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7
 .db $7,$7,$8,$7,$7,$8,$7,$8,$7,$7,$7,$8,$7,$7,$7,$7,$8,$7,$7,$7
 .db $7,$7,$7,$7,$8,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$7,$0,$0

.end
