;BEWARE-- the higher notes are a little shorter!!
;this can be fixed by adding 1 or 2 to the length of the lower notes!!!!
;also for 0 tones the length of them is not exact
;these will be fixed in future versions
;here is an EXACT scale going from low to high
;b=flat   #=sharp
;***this is the default song
;E=247
;F=232
;F#=218
;G=205
;G#=192
;A=180
;Bb=168
;B=158
;C=148
;C#=138
;D=129
;D#=120
;E=113
;F=105
;F#=98
;G=91
;G#=85
;A=79
;Bb=73
;B=68
;C=62
;C#=58
;D=53
;
;this was made using TUNE!IT v1.20 
;under the default tuner settings
;Frequency of A =441
;Calibration = 0
;Sampling Rate = 11025
;Resoulution = 8
;Sensitivity = 50
;Sampling Peroid = 200
;
;Disclaimer-- If this harms or destroys your calculator its your fault!!!
;
;versions-- 
;.01-crudely plays notes
;.02-plays notes and now has a 0 note function
;.03-built in scale name changed to SOUNDgen
;MORE TO COME!!!!


#include "ti-85.h"
;===========================================
;  DEFINES
;===========================================

#define   P_HI      %11000000        ;code to put port high
#define   P_LO      %11111100        ;code to put port low
#define   C_PORT    %00000111        ;addres of com port

;                       +----------needs to be changed depending on number of notes
;                       |
#define   NUM_OF_NOTES  45	 ;number of notes in the song


current_tone	=TEXT_MEM+2      ;all relies on number of notes
current_length	=TEXT_MEM+1      ;all relies on the number of notes
notecounter	=TEXT_MEM        ;this must be changes if you have over 83 notes
.org 0
.db "Sound  Engine",0
;============================================================
;    this just sets up the home screen
;============================================================
main:
   ROM_CALL(CLEARLCD)      ; Clear the display
   set 3,(IY+5)            ; display white on black
   ld  hl, $0000           ;set the cursor to 0
   ld  (CURSOR_ROW), hl
   ld  hl, (PROGRAM_ADDR)  ;load prog addres
   ld  de, TitleStr        ;and add the offset of text
   add hl, de
   ROM_CALL(D_ZT_STR)      ;display text
   res 3,(IY+5)            ;display black on white

wait_for_enter:
	call	GET_KEY
	cp	K_ENTER
	jr	nz,wait_for_enter

	ld	de,0
	ld	(notecounter),de
	
get_the_notes:
	ld	hl,(PROGRAM_ADDR)
	ld	de,length_of_note
	add	hl,de
	ld	de,(notecounter)
	add	hl,de
	ld	d,(hl)		    ;de now has the length of the note			
	ld	e,(hl)
	

	push de
	ld 	de,(notecounter)
	ld	hl,(PROGRAM_ADDR)
	ld	de,tone_of_note
	add	hl,de
	ld	de,(notecounter)
	add 	hl,de
	ld	b,(hl)		    ;bc now has the tone of the note-- thus delay
	ld	c,(hl)
	ld	(current_tone),bc
	pop	de
	 
	
	ld	(current_length),de		  
	ld	hl,0	
	
	ld	a,b
	cp	0
	jr	z,delay_for_0
set_low:
        ld  b,P_LO            ;set w(white) and r(red) low, 0 0
   	ld  c,C_PORT          ;port 7 (link port)
        out (c),b             ;output 0 0

        CALL_(delay)          ;pause for d ticks
	CALL_(delay)
	CALL_(delay)
	CALL_(delay)
	
set_high:
   	ld  b,P_HI            ;set w & r high, 1 1 (default)
   	ld  c,C_PORT          ;port 7 (com port)
   	out (c),b             ;output 1 1,make sure this is the last to be outputted!
        	              ;pulse the port high, must be high when quiting
 	
	CALL_(delay)          ;pause for d ticks
	CALL_(delay)
	CALL_(delay)
	CALL_(delay)

	ld	de,(current_length)
	dec	de
	ld	(current_length),de
	CALL CP_HL_DE
	jr	nz,set_low

all_ok:   
   ld	de,(notecounter)
   inc	de
   ld	(notecounter),de
   ld	a,(notecounter)
   cp	NUM_OF_NOTES
   JUMP_NZ(get_the_notes)


;==========================================
;   Delay Loop
;==========================================
delay:
	push	af
	push	bc
	ld	bc,(current_tone)
delay2:				;delay loop
	djnz delay2
	pop	bc
	pop	af
	ret
;==========================================
;   Delay Two
;==========================================
delay_for_0:
		
	ld	a,0
	ld	(current_tone),a
	ld	a,(current_length)
delays:	
	CALL_(delaya)
	dec	a
	cp	0
	jr	nz,delays
	ld	(current_length),a
	jr	all_ok
delaya:				;delay loop
	push	af
	push	bc
	ld 	bc,10000
delay2a:
	dec	bc
	ld	a,b
	or	c
	jr	nz,delay2a
	pop	bc
	pop	af
	ret

TitleStr:         ;Intro to program 
  .db "                     "
  .db "   The Song Engine   "
  .db " ELinenberg@gnn.com  "
  .db "taken from an idea by"
  .db " dh90791@goodnet.com "
  .db "                     "
  .db "put in earphones then"
  .db "      hit enter      ",0


;here is the data for the song
;as long as it has the same number of bits the send time will be comparable
;using 0 as a scale 
length_of_note:
	.db 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
	.db 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1       
	.db 1,1,1,1,1,1,1,1,1,1,1,1,1 
tone_of_note:
	.db 247,0,232,0,218,0,205,0,192,0,180,0,168,0,158,0
	.db 148,0,138,0,129,0,120,0,113,0,105,0,98,0,91,0
	.db 85,0,79,0,73,0,68,0,62,0,58,0,53
.end
