{Encryption technique of strings in DeadBolt! V1.0  Designed by Andy I. Yu}

{ String.exe creates DEADBOLT.TXT containing the encrypted strings, and
  a single enter w/o anything ends the program. }

{ Structure:
    Identifier:  .db (Length of string), ... Bytes of the string ... }

var s: string;
    x,b: byte;
    t: text;
begin
  assign(t,'dboltstr.txt');
  rewrite(t);

  repeat
    writeln('1234567890123456789012345678901234567890123456789012345678901234567890');
    readln(s);

    if Length(s) > 0 then begin
      {Redisplay}
      writeln('Redisplay:  ',s);
      writeln(t,#25#25#25,' ',s);

      {Encrypt}
      b := 1;
      for x := Length(s) downto 1 do begin
        s[x] := Char((ord(s[x]) xor b) - $7F);
        inc(b);
      end;
      Writeln('Encrypted:  ',s);

      write(t,'.db ',Length(s));
      for x := 1 to Length(s) do write(t,',',Ord(s[x]));
      writeln(t);
    end;
  until Length(s) = 0;

  close(t);
end.