; Davids Sound demo
;
; most of this code is a rework of Chris Busch's
; code. I felt that I hade changed it enough to 
; call it my own.  Feal free to use it just dont blame
; me when things go wrong.

; intro:
; just a demo of sound from the link port, use a 2.5mm
; to 3.5mm (standard) hedphone adaptor, avalible from radio
; shack.  Its ok if the adaptor is mono thoe sterio would 
; alow you more divercity.
;
; I have tried to comment thouraly, because I dont know asm 
; enough to keep it all strait without comments, if I messed 
; sompthing up or left you confused, tell me.
;
; David Tucker
; dh90791@goodnet.com

#include "ti-85.h"

;===========================================
;   Defines
;===========================================
#define   P_HI      $C0        ;code to put port high
#define   P_LO      $FC        ;code to put port low
#define   C_PORT    $07        ;addres of com port
#define   INIT_DLY  $00FF      ;initial delay
;===========================================

.org 0
.db "Sound Gen v0.01",0

main:
   ld  de,INIT_DLY         ;init loop counter
   ROM_CALL(CLEARLCD)      ; Clear the display
;display title, stolen from guess.asm
   set 3,(IY+5)            ; display white on black
   ld  hl, $0000           ;set the cursor to 0
   ld  (CURSOR_ROW), hl
   ld  hl, (PROGRAM_ADDR)  ;load prog addres
   ld  de, TitleStr        ;and add the offset of text
   add hl, de
   ROM_CALL(D_ZT_STR)      ;display text
   res 3,(IY+5)            ; display black on white

   
big_loop:
   CALL_(set_low)          ;puls the port low
   CALL_(Pause)            ;pause for d ticks
   CALL_(set_high)         ;pulse the port high, must be high when quiting
   JUMP_(test_key)         ;test the keys
endkey:                    ;return from keys 
   CALL_(Pause)            ;pause for d ticks
   jr   big_loop
quit:
   ret

;==========================================
;   Public Functions
;==========================================

; some day I wanted to implement a user interface
; and make this into some wat of a library. Any and all good
; ideas would be greatly aprishiated.  

;dtone:
;   ret

   
;==========================================
;   Private Functions
;==========================================
Pause:    ;delay (pretty much taken from TEXAN.ASM (thanks Magnus)
        push af         ;leave in
        push de         ;there important
ploop:
        dec  de
        ld   a,d        ;im not shure how this works!
        or   e          ;can anyone explain it?
        jr   nz,ploop
        pop  de
        pop  af
        ret

;===========================================

set_low:
   ld  b,P_LO         ;set w(white) and r(red) low, 0 0
   ld  c,C_PORT       ;port 7 (link port)
   out (c),b          ;output 0 0
   ret

;===========================================

set_high:
   ld  b,P_HI         ;set w & r high, 1 1 (default)
   ld  c,C_PORT       ;port 7 (com port)
   out (c),b          ;output 1 1,make sure this is the last to be outputted!
   ret

;=========================================
;this curently is not Implemented in the program,
;thoe Im confident it works (Could anyone make it faster?)
togle_s:        ;Togle the port off and on, needs lots of work
        ld      c,C_PORT      ;port 7 (link port)
        in      a,(c)         ;read port
        and     $0C           ;isolate bit 2&3
        cp      $0C           ;test
        JR      z,thi         ;if there on togle the pulse hi
tlo:
        ld      a,P_LO        ;output 0 0
        out     (c),a
        ret
thi:
        ld      a,P_HI
        out     (c),a         ;output 1 1
        ret

;=====================================

test_key:
   call GET_KEY      ;test for key
   cp  K_UP          ;test for Up Arow
   jr  z,kup         ;jump if presed
   cp  K_DOWN        ;test for down arow
   jr  z,kdown       ;jump if presed
   cp  K_EXIT        ;compare a with k_exit
   jr  z,quit        ;quit sound generator, if exit
   JUMP_(endkey)     ;if no keys return
kup:
   dec de            ;decrease delay
   JUMP_(endkey)     ; & return
kdown:
   inc de            ;increase delay
   JUMP_(endkey)     ; & return

;===================================

TitleStr:         ;Intro to program, rahter wastefull but cute
  .db "                     "
  .db " David's Sound Demo  "
  .db " dh90791@goodnet.com "
  .db "                     "
  .db "up/down change pitch "
  .db "exit to exit         "
  .db "                     "
  .db "                     ",0

.END
