        .org 0
#include TI-85.H

TempContrast = $80df

Title   .db "Test of GrayLibF v1.0",0

Start
        ld a,(CONTRAST)
        ld (TempContrast),a

        CALL_(GrayScaleOn)
        jr c,MemoryError

        ld a, %11110000
        ld hl,(Page2Addr)
        ld d,h
        ld e,l
        inc de
        ld (hl),a
        ld bc,1024
        ldir


        ld hl,$fc00
        ld b,0
Barloop
        ld (hl),0
        inc hl
        ld (hl),$ff
        inc hl
        ld (hl),0
        inc hl
        ld (hl),$ff
        inc hl
        djnz Barloop


MainLoop
        call GET_KEY
        cp $37
        jr z,ExitMain

        cp $9
        jr nz,TestUp

        CALL_(Swap_Screens)
        jr MainLoop

TestUp
        cp K_UP
        jr nz, TestDown

        ld      hl,TempContrast
        inc     (hl)            
        ld      a,(TempContrast)       
        out     (2),a           
                             

TestDown
        cp K_DOWN 
        jr nz,MainLoop   

        ld      hl,TempContrast
        dec     (hl)            
        ld      a,(TempContrast)       
        out     (2),a           

        jr MainLoop

ExitMain

        CALL_(GrayScaleOff)
        ret


MemoryError
        ROM_CALL(CLEARLCD)
        ld hl,(PROGRAM_ADDR)
        ld de,MemErrorString
        add hl,de
        ROM_CALL(D_ZT_STR)
        CALL_(WaitKey)
        ret


WaitKey
        call GET_KEY
        or a
        jr nz,WaitKey

WaitKey_2
        call GET_KEY
        cp K_Exit
        jr nz,WaitKey_2
        ret


MemErrorString
        .db "Not enough memory",0

#include GrayLibF.asm

        .end

